NX Open C++ Reference Guide
NXOpen::Routing::ControlPointCollection Member List

This is the complete list of members for NXOpen::Routing::ControlPointCollection, including all inherited members.

begin()NXOpen::Routing::ControlPointCollection
CheckExisting enum nameNXOpen::Routing::ControlPointCollection
CheckExistingDontSearch enum valueNXOpen::Routing::ControlPointCollection
CheckExistingSearch enum valueNXOpen::Routing::ControlPointCollection
CreateControlPoint(const NXOpen::Point3d &position, NXOpen::Routing::ControlPointCollection::CheckExisting checkExisting, NXOpen::Routing::ControlPointCollection::FoundExisting *foundExisting)NXOpen::Routing::ControlPointCollection
CreateControlPoint(NXOpen::Routing::Port *port, NXOpen::Routing::ControlPointCollection::CheckExisting checkExisting, NXOpen::Routing::ControlPointCollection::FoundExisting *foundExisting)NXOpen::Routing::ControlPointCollection
CreateControlPoint(NXOpen::TaggedObject *object, double objectParm, NXOpen::Routing::ControlPointCollection::CheckExisting checkExisting, NXOpen::Routing::ControlPointCollection::FoundExisting *foundExisting)NXOpen::Routing::ControlPointCollection
CreateControlPoint(NXOpen::Point *point, NXOpen::Routing::ControlPointCollection::CheckExisting checkExisting, NXOpen::Routing::ControlPointCollection::FoundExisting *foundExisting)NXOpen::Routing::ControlPointCollection
CreateControlPoint(NXOpen::IBaseCurve *conic, NXOpen::Routing::ControlPointCollection::CheckExisting checkExisting, NXOpen::Routing::ControlPointCollection::FoundExisting *foundExisting)NXOpen::Routing::ControlPointCollection
CreateControlPoint(NXOpen::Routing::IRoutePosition *startObject, const NXOpen::Vector3d &offset, NXOpen::Routing::ControlPointCollection::CheckExisting checkExisting, NXOpen::Routing::ControlPointCollection::FoundExisting *foundExisting)NXOpen::Routing::ControlPointCollection
CreateControlPoint(NXOpen::Routing::ControlPoint *cpOcc, NXOpen::Routing::ControlPointCollection::CheckExisting checkExisting, NXOpen::Routing::ControlPointCollection::FoundExisting *foundExisting)NXOpen::Routing::ControlPointCollection
end()NXOpen::Routing::ControlPointCollection
FindControlPoint(const NXOpen::Point3d &position, double tolerance)NXOpen::Routing::ControlPointCollection
FoundExisting enum nameNXOpen::Routing::ControlPointCollection
FoundExistingBrandNew enum valueNXOpen::Routing::ControlPointCollection
FoundExistingExisting enum valueNXOpen::Routing::ControlPointCollection
Tag() const NXOpen::Routing::ControlPointCollection
~ControlPointCollection() (defined in NXOpen::Routing::ControlPointCollection)NXOpen::Routing::ControlPointCollection
~TaggedObjectCollection() (defined in NXOpen::TaggedObjectCollection)NXOpen::TaggedObjectCollectionvirtual
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.